import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/base/regionInfo/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/base/regionInfo/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/base/regionInfo/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/base/regionInfo/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/base/regionInfo/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/base/regionInfo/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/base/regionInfo/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function list(formData){
  return request.post(constant.serverUrl + "/base/regionInfo/list", formData);
}

export default {
  pageList,create,edit,add,update,remove,batchRemove,list
}